Gett Developer Portal
  • Welcome
  • Distribution Partners
  • Brand Partners
  • Commerce Partners
  • Ecosystem Partners
  • Errors
  • API Reference
Documentation
  • Get Started
  • Marketfront SDK
  • API Reference
Resources
  • Payments
Company
  • Gett
  • Terms of Service
  • Privacy Policy

Copyright 2026 Gett. All rights reserved.

Information
Catalog
    Notify Catalog Updatepost
Store Management
    List StoresgetGet StoregetUpdate Storeput
Store Status
    Get Store StatusgetUpdate Store Statuspost
Order Updates
    Update Order Statuspost
Order Booster Onboarding
    Register StorepostGet Onboarding StatusgetCancel OnboardingdeleteActivate Storepost
Schemas
powered by Zuplo
Gett Commerce Partner API
Gett Commerce Partner API

Store Management

Retrieve and update store metadata such as name, phone number, description, and logo. Operating hours are managed via your CatalogSet, not these endpoints.


List Stores

GET
https://api.gett-tech.com
/v1/commerce/stores

List all stores associated with your Commerce Partner account.

List Stores › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

List Stores › Responses

List of stores

​Store[]
Store
storeId
​string · uuid
name
​string
​Address
phone
​string
timezone
​string
logoUrl
​string · uri
description
​string
status
​StoreStatusValue · enum

Store availability state.

  • online — Store is accepting orders
  • paused — Store is temporarily not accepting orders (see reason for why)
Enum values:
online
paused
GET/v1/commerce/stores
curl --request GET \ --url https://api.gett-tech.com/v1/commerce/stores \ --header 'Authorization: <string>'
Example Responses
[ { "storeId": "00000000-0000-0000-0000-000000000000", "name": "name", "address": { "street": "street", "city": "city", "state": "state", "postalCode": "postalCode", "country": "country" }, "phone": "phone", "timezone": "America/Los_Angeles", "logoUrl": "https://www.example.com/path/to/resource", "description": "description", "status": "online" } ]
json
application/json

Get Store

GET
https://api.gett-tech.com
/v1/commerce/stores/{storeId}

Get details for a specific store.

Get Store › path Parameters

storeId
​string · uuid · required

Get Store › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get Store › Responses

Store details

Store
storeId
​string · uuid
name
​string
​Address
phone
​string
timezone
​string
logoUrl
​string · uri
description
​string
status
​StoreStatusValue · enum

Store availability state.

  • online — Store is accepting orders
  • paused — Store is temporarily not accepting orders (see reason for why)
Enum values:
online
paused
GET/v1/commerce/stores/{storeId}
curl --request GET \ --url https://api.gett-tech.com/v1/commerce/stores/:storeId \ --header 'Authorization: <string>'
Example Responses
{ "storeId": "00000000-0000-0000-0000-000000000000", "name": "name", "address": { "street": "street", "city": "city", "state": "state", "postalCode": "postalCode", "country": "country" }, "phone": "phone", "timezone": "America/Los_Angeles", "logoUrl": "https://www.example.com/path/to/resource", "description": "description", "status": "online" }
json
application/json

Update Store

PUT
https://api.gett-tech.com
/v1/commerce/stores/{storeId}

Update store metadata. Operating hours are managed via CatalogSet.

Update Store › path Parameters

storeId
​string · uuid · required

Update Store › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Update Store › Request Body

StoreUpdate
name
​string
phone
​string
logoUrl
​string · uri
description
​string

Update Store › Responses

Store updated

Store
storeId
​string · uuid
name
​string
​Address
phone
​string
timezone
​string
logoUrl
​string · uri
description
​string
status
​StoreStatusValue · enum

Store availability state.

  • online — Store is accepting orders
  • paused — Store is temporarily not accepting orders (see reason for why)
Enum values:
online
paused
PUT/v1/commerce/stores/{storeId}
curl --request PUT \ --url https://api.gett-tech.com/v1/commerce/stores/:storeId \ --header 'Authorization: <string>' \ --header 'Content-Type: application/json' \ --data ' { "name": "name", "phone": "phone", "logoUrl": "https://www.example.com/path/to/resource", "description": "description" } '
Example Request Body
{ "name": "name", "phone": "phone", "logoUrl": "https://www.example.com/path/to/resource", "description": "description" }
json
Example Responses
{ "storeId": "00000000-0000-0000-0000-000000000000", "name": "name", "address": { "street": "street", "city": "city", "state": "state", "postalCode": "postalCode", "country": "country" }, "phone": "phone", "timezone": "America/Los_Angeles", "logoUrl": "https://www.example.com/path/to/resource", "description": "description", "status": "online" }
json
application/json

CatalogStore Status